Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RStruct Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
VALUE * ptr
} heap
VALUE ary [RSTRUCT_EMBED_LEN_MAX]
} | as
union {
struct {
long len
VALUE * ptr
} heap
VALUE ary [RSTRUCT_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 1035 of file ripper.y.

## Field Documentation

VALUE RStruct::ary[RSTRUCT_EMBED_LEN_MAX]

Definition at line 1042 of file ripper.y.

union { ... } RStruct::as

union { ... } RStruct::as

struct RBasic RStruct::basic

Definition at line 1036 of file ripper.y.

struct { ... } RStruct::heap

struct { ... } RStruct::heap

long RStruct::len

Definition at line 1039 of file ripper.y.

VALUE* RStruct::ptr

Definition at line 1040 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h